Skip to main content
GET
/
v1
/
scripts
/
{script_id}
Get script by ID
curl --request GET \
  --url https://api.skyvern.com/v1/scripts/{script_id}
{
  "script_revision_id": "<string>",
  "script_id": "<string>",
  "organization_id": "<string>",
  "version": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "run_id": "<string>",
  "deleted_at": "2023-11-07T05:31:56Z"
}

Headers

x-api-key
string | null

Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.

Path Parameters

script_id
string
required

The unique identifier of the script

Example:

"s_abc123"

Response

Successful Response

script_revision_id
string
required

Unique identifier for this specific script revision

script_id
string
required

User-facing script identifier, consistent across versions

organization_id
string
required

ID of the organization that owns this script

version
integer
required

Version number of the script

created_at
string<date-time>
required

Timestamp when the script was created

modified_at
string<date-time>
required

Timestamp when the script was last modified

run_id
string | null

ID of the workflow run or task run that generated this script

deleted_at
string<date-time> | null

Timestamp when the script was soft deleted